#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int N, Q, M;
    cin >> N >> Q;
    vector <int> A(N);
    for(int i = 0; i < N; i++) cin >> A[i];
    sort(A.begin(), A.end());
    while(Q--)
    {
        cin >> M;
        int rez;
        int mesto = lower_bound(A.begin(), A.end(), M) - A.begin();
        int treba1 = mesto*2;
        int treba2 = mesto*2 + 1;
        if(treba1 >= N) rez = treba1 - N;
        else rez = treba2 - N;
        cout << rez << endl;
    }
    return 0;
}